Bug 574941 - SELinux is preventing /usr/sbin/nagios "write" access on /var/spool/nagios/cmd.
Summary: SELinux is preventing /usr/sbin/nagios "write" access on /var/spool/nagi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:104c378b3fb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-18 21:45 UTC by Simon
Modified: 2010-03-30 02:11 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.6.32-106.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:11:47 UTC
Type: ---


Attachments (Terms of Use)

Description Simon 2010-03-18 21:45:06 UTC
Summary:

SELinux is preventing /usr/sbin/nagios "write" access on /var/spool/nagios/cmd.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by nagios. It is not expected that this access
is required by nagios and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:nagios_t:s0
Target Context                system_u:object_r:nagios_spool_t:s0
Target Objects                /var/spool/nagios/cmd [ dir ]
Source                        nagios
Source Path                   /usr/sbin/nagios
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nagios-3.2.0-4.fc12
Target RPM Packages           nagios-3.2.0-4.fc12
Policy RPM                    selinux-policy-3.6.32-99.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.9-70.fc12.i686.PAE #1 SMP Wed Mar 3
                              04:57:21 UTC 2010 i686 i686
Alert Count                   3
First Seen                    Thu 18 Mar 2010 09:14:20 PM GMT
Last Seen                     Thu 18 Mar 2010 09:14:20 PM GMT
Local ID                      cff7ad4f-cd2e-4564-ae3d-4afee6f5af62
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1268946860.817:11): avc:  denied  { write } for  pid=2331 comm="nagios" name="cmd" dev=dm-2 ino=5316628 scontext=system_u:system_r:nagios_t:s0 tcontext=system_u:object_r:nagios_spool_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1268946860.817:11): avc:  denied  { add_name } for  pid=2331 comm="nagios" name="nagios.cmd" scontext=system_u:system_r:nagios_t:s0 tcontext=system_u:object_r:nagios_spool_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1268946860.817:11): avc:  denied  { create } for  pid=2331 comm="nagios" name="nagios.cmd" scontext=system_u:system_r:nagios_t:s0 tcontext=system_u:object_r:nagios_spool_t:s0 tclass=fifo_file

node=(removed) type=SYSCALL msg=audit(1268946860.817:11): arch=40000003 syscall=14 success=yes exit=0 a0=91ea0a0 a1=11b0 a2=0 a3=0 items=0 ppid=1 pid=2331 auid=4294967295 uid=486 gid=465 euid=486 suid=486 fsuid=486 egid=465 sgid=465 fsgid=465 tty=(none) ses=4294967295 comm="nagios" exe="/usr/sbin/nagios" subj=system_u:system_r:nagios_t:s0 key=(null)



Hash String generated from  catchall,nagios,nagios_t,nagios_spool_t,dir,write
audit2allow suggests:

#============= nagios_t ==============
#!!!! The source type 'nagios_t' can write to a 'dir' of the following types:
# nagios_log_t, nagios_tmp_t, var_run_t, var_log_t, nagios_var_run_t, tmp_t, root_t

allow nagios_t nagios_spool_t:dir { write add_name };
allow nagios_t nagios_spool_t:fifo_file create;

Comment 1 Miroslav Grepl 2010-03-19 06:55:07 UTC
Dan,
I am adding

manage_fifo_files_pattern(nagios_t, nagios_spool_t, nagios_spool_t)
files_spool_filetrans(nagios_t, nagios_spool_t, fifo_file)


instead of

rw_fifo_files_pattern(nagios_t, nagios_spool_t, nagios_spool_t)


Fixed in selinux-policy-3.6.32-105.fc12

Comment 2 Fedora Update System 2010-03-23 18:03:30 UTC
selinux-policy-3.6.32-106.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 3 Fedora Update System 2010-03-24 23:30:39 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 4 Fedora Update System 2010-03-30 02:10:11 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.